AbstractMessage
Keywords: uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.messages.abstractlayer
Class AbstractMessage

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage

    public class AbstractMessage

extends java.lang.Object

Constructor Summary
`AbstractMessage(java.lang.String performative, java.lang.String requestId, java.lang.String sender, java.lang.String receiver, java.lang.String context, java.util.Map content)`

Method Summary
`byte[]` | `getBytes()` Utility method to return message bytes
`java.util.Map` | `getContent()`
`java.lang.String` | `getContext()`
`java.lang.String` | `getPerformative()`
`java.lang.String` | `getReceiver()`
`java.lang.String` | `getRequestId()`
`java.lang.String` | `getSender()`
`org.w3c.dom.Document` | `getXMLDocument()`
`static void` | `main(java.lang.String[] args)`
`void` | `serialise(java.io.OutputStream out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMessage

    public AbstractMessage(java.lang.String performative,
                           java.lang.String requestId,
                           java.lang.String sender,
                           java.lang.String receiver,
                           java.lang.String context,
                           java.util.Map content)
                    throws MalformedMessageException

Throws:
  `MalformedMessageException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPerformative

    public java.lang.String getPerformative()

### getRequestId

    public java.lang.String getRequestId()

### getContext

    public java.lang.String getContext()

### getContent

    public java.util.Map getContent()

### getSender

    public java.lang.String getSender()

### getReceiver

    public java.lang.String getReceiver()

### getXMLDocument

    public org.w3c.dom.Document getXMLDocument()

### serialise

    public void serialise(java.io.OutputStream out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBytes

    public byte[] getBytes()

  Utility method to return message bytes

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD